<?xml version="1.0" encoding="UTF-8"?>  
<!--DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" 
    "http://www.springframework.org/dtd/spring-beans.dtd"-->
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:jaxws="http://cxf.apache.org/jaxws"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">

	<!-- import resource="classpath:META-INF/cxf/cxf.xml" />
	<import resource="classpath:META-INF/cxf/cxf-extension-soap.xml" />
	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

	<jaxws:endpoint 
	  id="cxfClient" 
	  implementor="CoreFS.SA03.CoreWebServiceServiceImpl" 
	  address="/CXF" /-->	  

	  
	  <!-- 报表配置  -->
	<!--  
	<bean id="simpleService" class="CoreFS.SD05.SimpleService">	
	</bean>
	<bean id="jobDetail" class="org.springframework.scheduling.quartz.JobDetailBean">
	<property name="jobClass">
	<value>CoreFS.SD05.MyQuartzJobBean</value>
	</property>
	<property name="jobDataAsMap">
	<map>
	<entry key="simpleService">
	<ref bean="simpleService" />
	</entry>
	</map>
	</property>
	</bean>
	    <bean id="schedulerService"
        class="CoreFS.SD05.SchedulerServiceImpl">   
        <property name="jobDetail">   
            <ref bean="jobDetail" />   
        </property>   
        <property name="scheduler">   
            <ref bean="quartzScheduler" />   
        </property>   
    </bean> 


  <bean id="ReportEngine" class="CoreFS.SD05.ReportEngine">
       <property name="schedulerService" ref="schedulerService"/>
      </bean>
        
   
     <bean id="schedulerJobDetail" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
         <property name="targetObject" ref="ReportEngine"/>
         <property name="targetMethod" value="StartLoadJob"/>
         <property name="concurrent" value="false"/>
     </bean>
     <bean id="cronTrigger" class="org.springframework.scheduling.quartz.CronTriggerBean" >
          <property name="jobDetail" ref="schedulerJobDetail"/>
          <property name="cronExpression">
              <value>0/10 * * * * ?</value>
          </property>
      </bean>

      	<bean name="quartzScheduler" class="org.springframework.scheduling.quartz.SchedulerFactoryBean">
      	         <property name="triggers">
             <list>
                 <ref local="cronTrigger"/>
             </list>
         </property>
         <property name="quartzProperties">
			<props>
				<prop key="org.quartz.threadPool.class">
					org.quartz.simpl.SimpleThreadPool
				</prop>
			<prop key="org.quartz.threadPool.threadCount">10</prop>
			</props>
		</property>  
	</bean>
	 -->
	       <!--NO
     <bean id="schedulerFactory" class="org.springframework.scheduling.quartz.SchedulerFactoryBean">
       
   </bean> 
   -->
   
   <!-- 变量的定义 -->
   
   
   <bean id="toolUtils" class="CoreFS.SC01.CoreConstantData">
   		<property name="isAgain" value="false"/><!-- sysbeanstr -->
   		<property name="sysbeanstr" value="TgDao"></property>		<!-- 平台权限所使用的Dao如果默认为KgDao时可以不配置 -->
   			<property name="isDevelop" value="true"/>			<!--是否开启开发模式读取sql  -->   			
   			<property name="isEncryption" value="false" />		<!--SQL语xml文件ture为加密 false为不加密-->
		<!-- property name="delCondition" value="true" /--> 	<!--图片管理模块 ture为按总数删除图片 false为最后修改时间删除图片-->
		<!-- property name="isFTP" value="true"/-->				<!--是否启用FTP上传、下载  -->
		<!-- property name="url"
			value="http://192.168.1.6:8088/CoreFS/remoting/HessianRemoting" /-->	<!--远程调用的服务器路径-->
   </bean>
</beans>